Bug 892113 - libmusicbrainz4 is AFPL licensed files included
Summary: libmusicbrainz4 is AFPL licensed files included
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmusicbrainz4 (Show other bugs)
(Show other bugs)
Version: 17
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-01-05 09:12 UTC by mejiko
Modified: 2013-04-04 09:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-17 00:50:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2013-01-05 09:12:01 UTC
Hello.

libmusicbrainz4 included non-free files.


Files:

libmusicbrainz-4.0.3/include/musicbrainz4/xmlParser.h

License: AFPL

Its non-free. 

Note: AFPL is "Aladdin Free Public License"


This bug is already reported (Upstream BTS and Fedora-legal mailing list).


https://lists.fedoraproject.org/pipermail/legal/2012-November/002028.html
https://lists.fedoraproject.org/pipermail/legal/2012-November/002029.html
http://tickets.musicbrainz.org/browse/LMB-34?page=com.atlassian.jira.plugin.system.issuetabpanels%3Aall-tabpanel


Suggests:

1. Remove non-free file and rebuild.
2. replace fedora-free file.
3. Remove Fedora repos.


Thanks.


Reference

https://www.gnu.org/licenses/license-list.html#NonFreeSoftwareLicense
http://artifex.com/downloads/doc/Public.htm
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses

Comment 1 mejiko 2013-01-05 09:12:42 UTC
Blocking FE-Legal, This is license problem.

Comment 2 mejiko 2013-01-05 09:18:44 UTC
Source RPM is "libmusicbrainz4-4.0.3-1.fc17.src.rpm". sorry.

Comment 3 mejiko 2013-01-05 09:23:46 UTC
This bug affected libmusicbrainz5, See bug #892114.

Comment 4 Rex Dieter 2013-03-06 18:38:03 UTC
As far as I can tell, nothing in the distro (as of f18 at least) uses libmusicbrainz4 anymore, 

$ repoquery --whatrequires libmusicbrainz4
libmusicbrainz4-devel-0:4.0.3-2.fc18.i686
libmusicbrainz4-devel-0:4.0.3-2.fc18.x86_64
libmusicbrainz4-devel-0:4.0.3-3.fc18.i686
libmusicbrainz4-devel-0:4.0.3-3.fc18.x86_64

could consider orphaning (or retiring?) it.

Comment 5 Fedora Update System 2013-03-07 18:28:55 UTC
libmusicbrainz4-4.0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmusicbrainz4-4.0.3-3.fc17

Comment 6 Fedora Update System 2013-03-08 23:54:31 UTC
Package libmusicbrainz4-4.0.3-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmusicbrainz4-4.0.3-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3579/libmusicbrainz4-4.0.3-3.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-03-17 00:50:46 UTC
libmusicbrainz4-4.0.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Christophe Fergeau 2013-04-04 09:33:26 UTC
(In reply to comment #4)
> As far as I can tell, nothing in the distro (as of f18 at least) uses
> libmusicbrainz4 anymore, 
> 
> $ repoquery --whatrequires libmusicbrainz4
> libmusicbrainz4-devel-0:4.0.3-2.fc18.i686
> libmusicbrainz4-devel-0:4.0.3-2.fc18.x86_64
> libmusicbrainz4-devel-0:4.0.3-3.fc18.i686
> libmusicbrainz4-devel-0:4.0.3-3.fc18.x86_64
> 
> could consider orphaning (or retiring?) it.

Just filed https://fedorahosted.org/rel-eng/ticket/5576 after retiring it from git/pkgdb.


Note You need to log in before you can comment on or make changes to this bug.